# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/embedded-controller/traverse,ten64-controller.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Traverse Ten64 board microcontroller

maintainers:
  - Mathew McBride <matt@traverse.com.au>

description: |
  The board microcontroller on the Ten64 board family is responsible for
  management of power sources on the board, as well as signalling the SoC
  to power on and reset.

properties:
  compatible:
    const: traverse,ten64-controller

  reg:
    const: 0x7e

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        board-controller@7e {
            compatible = "traverse,ten64-controller";
            reg = <0x7e>;
        };
    };
